package com.tuoheng.admin.service.third.airport;

import com.tuoheng.admin.dto.ReversalFlightDto;
import com.tuoheng.admin.entity.Inspection;
import com.tuoheng.common.core.utils.JsonResult;

public interface AirportService {

    JsonResult getAirportList();

    JsonResult getAirLineList(Integer droneId);

    JsonResult executeTask(String userId, Inspection inspection);

    JsonResult getAirportDetail(Integer airportId);

    JsonResult reversalFlight(ReversalFlightDto dto);

    JsonResult getAirportVideo(Integer droneId);

}
